[arch-commits] Commit in ilmbase/repos (6 files)

Bartłomiej Piotrowski bpiotrowski at nymeria.archlinux.org
Wed Feb 26 05:25:12 UTC 2014


    Date: Wednesday, February 26, 2014 @ 06:25:12
  Author: bpiotrowski
Revision: 206427

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  ilmbase/repos/staging-i686/
  ilmbase/repos/staging-i686/PKGBUILD
    (from rev 206426, ilmbase/trunk/PKGBUILD)
  ilmbase/repos/staging-i686/ilmbase-IexMath.patch
    (from rev 206426, ilmbase/trunk/ilmbase-IexMath.patch)
  ilmbase/repos/staging-x86_64/
  ilmbase/repos/staging-x86_64/PKGBUILD
    (from rev 206426, ilmbase/trunk/PKGBUILD)
  ilmbase/repos/staging-x86_64/ilmbase-IexMath.patch
    (from rev 206426, ilmbase/trunk/ilmbase-IexMath.patch)

--------------------------------------+
 staging-i686/PKGBUILD                |   31 +++++++++++++++++++++++++++++++
 staging-i686/ilmbase-IexMath.patch   |   12 ++++++++++++
 staging-x86_64/PKGBUILD              |   31 +++++++++++++++++++++++++++++++
 staging-x86_64/ilmbase-IexMath.patch |   12 ++++++++++++
 4 files changed, 86 insertions(+)

Copied: ilmbase/repos/staging-i686/PKGBUILD (from rev 206426, ilmbase/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2014-02-26 05:25:12 UTC (rev 206427)
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.1.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz)
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # one of the tests fails randomly for an unknown reason
+  make check || true
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('8ba2f608191ad020e50277d8a3ba0850')

Copied: ilmbase/repos/staging-i686/ilmbase-IexMath.patch (from rev 206426, ilmbase/trunk/ilmbase-IexMath.patch)
===================================================================
--- staging-i686/ilmbase-IexMath.patch	                        (rev 0)
+++ staging-i686/ilmbase-IexMath.patch	2014-02-26 05:25:12 UTC (rev 206427)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig	2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp	2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+ 
+ 
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+ 
+ #include <ucontext.h>
+ #include <signal.h>

Copied: ilmbase/repos/staging-x86_64/PKGBUILD (from rev 206426, ilmbase/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2014-02-26 05:25:12 UTC (rev 206427)
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.1.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz)
+
+build() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  # one of the tests fails randomly for an unknown reason
+  make check || true
+}
+
+package() {
+  cd "${srcdir}/$pkgname-$pkgver"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('8ba2f608191ad020e50277d8a3ba0850')

Copied: ilmbase/repos/staging-x86_64/ilmbase-IexMath.patch (from rev 206426, ilmbase/trunk/ilmbase-IexMath.patch)
===================================================================
--- staging-x86_64/ilmbase-IexMath.patch	                        (rev 0)
+++ staging-x86_64/ilmbase-IexMath.patch	2014-02-26 05:25:12 UTC (rev 206427)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig	2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp	2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+ 
+ 
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+ 
+ #include <ucontext.h>
+ #include <signal.h>




More information about the arch-commits mailing list